Subject: bug#25942: 26.0.50; dired-mark-extension prepend '.' to suffix if not present

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Mar 2017 17:28:01 +0300

> From: Tino Calancha <[email-masked]>
> Cc: [email-masked],  [email-masked], [email-masked]
> Date: Mon, 27 Mar 2017 14:34:30 +0900
> 
> +@item dired-mark-suffix
> +@findex dired-mark-suffix
> +Mark all files with a certain suffix for use in later commands.  A @samp{.}
> +is not automatically prepended to the string entered, you must type it
> +explicitly.  This is different than @var{dired-mark-extension} which prepends
                        ^^^^^^^^^^^^^^
"different from" or "in contrast to".

> +If invoked with prefix argument @kbd{C-u}, this command unmark files instead.
                                                           ^^^^^^
"unmarks"

> +When called from Lisp, @var{suffix} may also be a list of suffices
                                                             ^^^^^^^^
"suffixes"

>  ;; Mark files with some extension.
>  (defun dired-mark-extension (extension &optional marker-char)
>    "Mark all files with a certain EXTENSION for use in later commands.
> -A `.' is *not* automatically prepended to the string entered.
> +A `.' before EXTENSION is automatically prepended when not present.

"A `.' is automatically prepended to EXTENSION when not present."

Thanks.